XMOUNTAINS(1)

NOM
xmountains - générateur de paysage fractal.

SYNOPSIS
xmountains [ wbqgPdEmMrBnZIASTWFGCapcevfRltxsXYH ]

DESCRIPTION
xmountains est un générateur de paysage fractal basé sur X11. Il produit des surfaces fractal aléatoires et les affiche dans une fenêtre. Tant que le programme est exécuté l'image fractal est sans interruption prolongée vers la droite et défile de droite à gauche pour afficher la zone nouvellement calculée.

OPTIONS
-w
    Utilise le mode "swosh" pour les mises à jours - la fenêtre est mise à jour seulement lorsqu'une nouvelle image est prête. Ceci empèche les mises à jour par saut. Remarque : si vous utilisez le défilement de gauche à droite, l'utilisation de mémoire sera plus grande.
-b
    Affiche sur la fenêtre principale (root).
-q
    Réinitialise la fenêtre principale à la sortie du programme. Cette option est ignoré si le programme n'est pas affiché dans la fenêtre principale.
-g [string]
    Configure la taille de la fenêtre (p.ex 800x600).
-P [filename]
    Ecrit dans le fichier spécifié le numéro de PID.
-d [string]
    Configure l'écran d'affichage.
-E
    Change la manière de dessiner l'image dans la fenêtre. Par défaut l'image est installée comme une image d'arrière plan et c'est le serveur X qui redessine automatiquement l'image dans la fenêtre. Si ceci ne fonctionne pas correctement sur un système particulier, alors cette option peut être employée pour activer explicitement le traitement d'événement. Dans le mode par défaut, les images affichées dans la fenêtre principale (option -b) demeureront en place après la sortie du programme.
-m
    Affiche une carte de la surface plutôt qu'une vue en perspective
-M
    Produit des réflections dans l'eau. Cette option peut provoquer des ralentissements de la machine.
-r [20]
    Pour réduire la charge du serveur X, le programme produit plusieurs colonnes de pixels avant de déplacer l'image. Cette option configure le nombre de colonnes calculé. Une valeur négative inverse le sens de défilement de l'image. Une valeur nulle fait changer l'image sans aucun défilement.
-B [80]
    Configure le nombre de nuance pour chaque couleur alloué par le programme.
-n [245]
    Configure le nombre de couleur maximun utilisé. C'est une autre façon d'indiquer le nombre de nuance pour chaque couleur.
-Z [10]
    Configure le nombre de seconde que le programme attend avant de faire défiler l'image.
-I [40.0]
    Configure l'angle vertical d'illumination.
-A [0.0]
    Configure l'angle horizontal d'illumination.
-S [0.6]
    Configure la déformation verticale de la surface.
-T [0.5]
    Configure le décalage vertical de la surface.
-W [0.5]
    Configure la hauteur occupée par l'eau.
-F [1]
    Réduit la variation de la taille du premier plan pour assurer une bonne vue de la surface. Cette option positionne le nombre d'itérations pour lesquelles la taille du premier plan est contrainte à une valeur constante.
-G [-1.0]
    Altitude moyenne pour pour le premier plan
-C [0.3]
    Configure le paramètre de contour. La couleur de base d'un point dépend de son altitude et de la pente de la surface. Ce paramètre controle l'importance relative de ces facteurs.
-a [2.5]
    Configure l'altitude du point de vue.
-p [4.0]
    Configure la distance du point de vue par rapport à la surface.
-c [1.0]
    Configure le paramètre de contraste. Les valeurs trop éloignées de 1,0 peuvent donner des résultats étranges.
-e [0.3]
    Configure le niveau de lumière ambiant. Cette valeur configure la manière dont brille les zones d'ombres par rapport aux zones entièrement éclairées.
-v [0.6]
    Configure le niveau de lumière verticale. Le programme implémente aussi une source secondaire de lumière éclairant directement au-dessus de la surface. Cette option configure comment doit briller cette source par rapport à la source de lumière principale.
-f [0.65]
    Configure la dimension fractal de la surface. Doit être compris dans l'interval 0.5-1.0.
-R [0]
    Configure la graine (seed) pour le générateur de nombre aléatoire. Une valeur de 0 force la graine à être configurée depuis l'horloge système.
-l [10]
    Configure la largeur de la surface. Augmenter de un cette valeur, double la largeur de la surface.
-t [2]
    Configure le nombre d'itérations non-fractal. Augmenter de un cette valeur, double le nombre moyen de montagnes affiché dans la largeur de la surface.
-x
    Utilise la fonction "cross updates" (voir l'option -H)
-s [1]
    Controle les pas de régénération utilisés pour réduire le plissement. Il y a trois pas de régénération possible controlés par les 3 bits de cette option (voir l'option -H)
-X [0.0]
    Paramètre de pas de régénération (voir l'option -H)
-Y [0.0]
    Paramètre de pas de régénération (voir l'option -H)
-H
    Affiche une courte description de l'algorithme expliquant les options -x -s -X et -Y.

AUTEUR
Auteur: S.Booth@ed.ac.uk
Contributeur: Mark Thomas (http://www.mindspring.com/~mt31415/)